<?php if (!defined('THINK_PATH')) exit(); /*a:3:{s:38:"./app/user/view/mobile/cart/index.html";i:1564496874;s:32:"./app/home/view/mobile/head.html";i:1560677269;s:32:"./app/home/view/mobile/foot.html";i:1592458933;}*/ ?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title><?php if($info['title']): ?><?php echo $info['title']; elseif($title): ?><?php echo $title; else: ?><?php echo $sys['title']; endif; ?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black" />
    <link rel="stylesheet" href="/public/static/mobile/css/style.css">
    <link rel="stylesheet" href="/public/static/mobile/css/swiper.min.css">
    <script type="text/javascript" src="/public/static/mobile/js/jquery.min.js"></script>
    <script type="text/javascript" src="/public/static/mobile/js/layer/layer.js"></script>
    <script type="text/javascript" src="/public/static/mobile/js/common.js"></script>
    <script src="/public/static/home/js/layui/layui.js"></script>
    <script>
        var base_image_url = "<?php echo config('img_address'); ?>/public";
    </script>
</head>
<body>
<div class="body gray-bg">
    <div class="header">
        <div class="menu">
            <a onclick="javascript:window.history.back();return false;" class="back-btn"></a>
        </div>
        <div class="logo">购物车</div>
        <div class="user"><a href="<?php echo url('user/index/index'); ?>"></a></div>
    </div>
    <div class="wrap">
        <form action="<?php echo url('user/cart/submit'); ?>" method="post">
            <div class="goods-list cart">
                <ul>
                    <?php if(is_array($list) || $list instanceof \think\Collection || $list instanceof \think\Paginator): $i = 0; $__LIST__ = $list;if( count($__LIST__)==0 ) : echo "" ;else: foreach($__LIST__ as $key=>$vo): $mod = ($i % 2 );++$i;?>
                    <li data-id="<?php echo $vo['cid']; ?>" data-pid="<?php echo $vo['id']; ?>" data-price="<?php echo $vo['price']; ?>">
                        <div class="ch-btn"><input type="checkbox" name="id[]" id="cart<?php echo $vo['cid']; ?>" value="<?php echo $vo['cid']; ?>"><label for="cart<?php echo $vo['cid']; ?>"></label></div>
                        <div class="left"><a href="<?php echo url('home/product/info',array('id'=>$vo['id'],'catId'=>$vo['catid'])); ?>"><img src="<?php echo imgUrl($vo['thumb']); ?>" alt="<?php echo $vo['title']; ?>"></a><!--<i>热卖</i>--></div>
                        <div class="num">
                            <span>数量：</span>
                            <div class="input">
                                <input type="button" class="min" value="-">
                                <input type="text" name="num" class="number" value="<?php echo $vo['number']; ?>" />
                                <input type="button" class="add" value="+">
                            </div>
                        </div>
                        <div class="right">
                            <p class="tit"><?php echo $vo['title']; ?></p>
                            <p class="des"><?php echo $vo['intro']; ?></p>
                            <p class="price">￥<span><?php echo number_format($vo['price'] * $vo['number'],2); ?></span></p>
                            <p class="buy-btn"></p>
                        </div>
                    </li>
                    <?php endforeach; endif; else: echo "" ;endif; ?>
                </ul>
            </div>
            <div class="cart-foot">
                <span class="all">全选</span>
                <span class="del" onclick="del_all(this)">删除选中商品</span>
                <div class="cart-info">
                    <p>选中商品<span>0</span>件</p>
                    <p>数量：<span>0</span></p>
                    <p class="price">总价：￥<span id="totalPrice">0</span></p>
                </div>
                <button type="submit" class="submit" onclick="return sub();">提交订单</button>
            </div>
        </form>
    </div>
    <script>
        function sub(){
            if(cart.totalItem <= 0) {
                layer.open({
                    content: "请选择产品"
                    ,skin: 'msg'
                    ,time: 2 //2秒后自动关闭
                });
                return false;
            }
        }
        var cart = {
            totalPrice : 0,
            totalNumber : 0,
            totalItem : 0,
            'checked' : function(elem){
                var num = $(elem).parents("li").children("div.num").children("div.input").find("input[name=num]").val();
                //var num = 1;
                var prices = $(elem).parents("li").children("div.right").children("p.price").find("span").text();
                if ($(elem).is(":checked")){
                    cart.totalNumber += parseInt(num);
                    cart.totalPrice += parseFloat(prices);
                    cart.totalItem++;
                } else {
                    cart.totalNumber -= parseInt(num);
                    cart.totalPrice -= parseFloat(prices);
                    cart.totalItem--;
                }
            }
        };

        $(function(){
            //立即购买
            $(".buy-btn").click(function(){
                var num = $(this).parent().prev().find(".number").val();
                var product_id = $(this).parent().parent().data("pid");
                location.href = "<?php echo url('user/cart/buy'); ?>?product_id=" + product_id + "&num=" + num;
            });

            //产品加减
            $("input.add").click(function(){
                var id = $(this).parents("li").data("id");
                var num = $(this).siblings("input[name='num']").val();
                num = parseInt(num) + 1;
                //修改远程数据
                changeNum(id, num);
                //设置数量
                $(this).siblings("input[name='num']").val(num);
                //设置小计
                var price = $(this).parents("li").data("price");
                var sprice = parseFloat(price) * num;
                $(this).parents("li").find("p.price").find("span").html(sprice.toFixed(2));
                $("input[type='checkbox']").removeAttr("checked");
                cart.totalPrice = 0;
                cart.totalNumber = 0;
                cart.totalItem = 0;
                $("#totalPrice").html(cart.totalPrice).parent().siblings().find("font").html(cart.totalNumber);
            });

            $("input.min").click(function(){
                var id = $(this).parents("li").data("id");
                var num = $(this).siblings("input[name='num']").val();
                var number = parseInt(num) - 1;
                if (number <= 1) number = 1;
                //修改远程数据
                changeNum(id, number);
                //设置数量
                $(this).siblings("input[name='num']").val(number);
                //设置小计
                var price = $(this).parents("li").data("price");
                var sprice = parseFloat(price) * number;
                $(this).parents("li").find("p.price").find("span").html(sprice.toFixed(2));
                $("input[type='checkbox']").removeAttr("checked");
                cart.totalPrice = 0;
                cart.totalNumber = 0;
                cart.totalItem = 0;
                $("#totalPrice").html(cart.totalPrice).parent().siblings("p").find("span").html(cart.totalNumber);
            });

            $("input[name='num']").change(function(){
                var number = $(this).val();
                var id = $(this).parents("li").data("id");
                changeNum(id, number);
            });

            //全选中
            $("span.all").click(function(){
                cart.totalPrice = 0;
                cart.totalNumber = 0;
                cart.totalItem = 0;
                if ($(this).hasClass("checked")) {
                    //设置全部为选中
                    $(this).removeClass("checked");
                    $("input[type='checkbox']").removeAttr("checked");
                } else {
                    //设置全部为不选中
                    $(this).addClass("checked");
                    $("input[type='checkbox']").prop("checked","true");
                    $("input[type='checkbox']").each(function(ii, nn){
                        cart.checked(nn);
                    });
                }

                $("#totalPrice").html(cart.totalPrice).parent().siblings("p:eq(0)").find("span").html(cart.totalItem);
                $("#totalPrice").parent().siblings("p:eq(1)").find("span").html(cart.totalNumber)
            });

            //复选框单选
            $("input[type=checkbox]").each(function(i, n){
                $(n).click(function(){
                    cart.checked(this);
                    $("#totalPrice").html(cart.totalPrice).parent().siblings("p:eq(0)").find("span").html(cart.totalItem);
                    $("#totalPrice").parent().siblings("p:eq(1)").find("span").html(cart.totalNumber)
                });
            });
        });

        var changeNum = function(id, num){
            $.post("<?php echo url('user/cart/value'); ?>", {'id':id,'number':num}, function(data){
                if (data.code == 1) {
                    window.location.reload();
                } else {
                    layer.open({
                        content: data.msg
                        ,skin: 'msg'
                        ,time: 2 //2秒后自动关闭
                    })
                }
            }, 'json');
        };

        function del_all(elem){
            var id = [];
            $("input[type=checkbox]").each(function(ii, nn){
                if ($(nn).is(":checked")){
                    id.push($(nn).val());
                }
            });

            id = id.join(",");
            if (id == '') {
                layer.open({
                    content: "请选择产品"
                    ,skin: 'msg'
                    ,time: 2 //2秒后自动关闭
                });
                return false;
            }

            $(elem).data("id", id);
            this_confirm('del_cart', elem);
        }

        var del_cart = function(index){
            var id = $(index).data("id");

            $.post("<?php echo url('user/cart/del'); ?>", {'id':id}, function(data){
                if (data.code == 1) {
                    layer.open({
                        content: data.msg
                        ,skin: 'msg'
                        ,time: 2 //2秒后自动关闭
                    });
                    location.reload();
                } else {
                    layer.open({
                        content: data.msg
                        ,skin: 'msg'
                        ,time: 2 //2秒后自动关闭
                    });
                }
            }, 'json');
        };
    </script>
<div class="footer">
    <ul>
        <li <?php if(request()->module() == 'home' && request()->controller() == 'Index'): ?>class="active"<?php endif; ?>><a href="<?php echo url('home/index/index'); ?>"><i class="home"></i><span>首页</span></a></li>
        <li <?php if(request()->module() == 'home' && request()->controller() != 'Index'): ?>class="active"<?php endif; ?>><a href="<?php echo url('home/onlinemall/index',['catId'=>7] ); ?>"><i class="goods"></i><span>全部商品</span></a></li>
        <li <?php if(request()->module() == 'user' && request()->controller() == 'Cart'): ?>class="active"<?php endif; ?>><a href="<?php echo url('user/cart/index'); ?>"><i class="cart"></i><span>购物车</span></a></li>
        <li <?php if(request()->module() == 'user' && request()->controller() != 'Cart'): ?>class="active"<?php endif; ?>><a href="<?php echo url('user/index/index'); ?>"><i class="user"></i><span>会员中心</span></a></li>
    </ul>
</div>
</div>
<!-- 右侧悬浮 -->
<style>
    #service {
        width: 47px;
        height: 49px;
        position: fixed;
        bottom: 150px;
        right: 0px;
        z-index: 100;
    }
    #service li {
        width: 47px;
        height: 49px;
    }
    #service li a {
        height: 49px;
        float: right;
        display: block;
        min-width: 47px;
        max-width: 161px;
    }
    #service li a .hides {
        margin-right: -143px;
        cursor: pointer;
        cursor: hand;
    }
    #service li img {
        float: right;
    }
    #service li a .shows {
        display: block;
    }
    .p1 {
        width: 47px;
        height: 49px;
        float: left;
    }
    .p2 {
        width: 112px;
        background-color: #A7D2A9;
        height: 47px;
        margin-left: 47px;
        border: 1px solid #8BC48D;
        text-align: center;
        line-height: 47px;
    }
</style>
<div id="service">
    <ul style="list-style: none;">
        <li>
            <a href="javascript:;">
                <div class="hides" style="width:161px;display:none;">
                    <div class="hides p1">
                        <img src="/public/static/service/images/ll04.png">
                    </div>
                    <div class="hides p2" id="buy-1" data-group="1">
                        <span style="color:#FFF;font-size:13px">客服</span>
                    </div>
                </div>
                <img src="/public/static/service/images/l04.png" width="47" height="49" class="shows" />
            </a>
        </li>

        <!--<li>
            <a href="javascript:;">
                <div class="hides" style="width:161px;display:none;">
                    <div class="hides p1">
                        <img src="/static/demo/images/ll04.png">
                    </div>
                    <div class="hides p2" id="buy-2" data-group="2">
                        <span style="color:#FFF;font-size:13px">售后客服</span>
                    </div>
                </div>
                <img src="/static/demo/images/l04.png" width="47" height="49" class="shows" />
            </a>
        </li>-->

        <!--<li id="btn">
            <a id="top_btn">
                <div class="hides" style="width:161px;display:none">
                    <img src="/static/demo/images/ll06.png" width="161" height="49" />
                </div>
                <img src="/static/demo/images/l06.png" width="47" height="49" class="shows" />
            </a>
        </li>-->
    </ul>
</div>
<!-- 右侧悬浮 -->
<!-- 图片轮播 -->
<script type="text/javascript" src="/public/static/mobile/js/swiper.min.js"></script>
<script src="/public/static/customer/js/whisper-tool.js"></script>
<script src="http://res.wx.qq.com/open/js/jweixin-1.4.0.js"></script>
<script type="text/javascript">
    $(function(){
        var swiper = new Swiper('.swiper-container', {
            autoplay: true,
            loop: true,
        });

        //********************************客服**********************************//
        $("#service a").hover(function() {
            if ($(this).prop("className") == "weixin_area") {
                $(this).children("img.hides").show();
            } else {
                $(this).children("div.hides").show();
                $(this).children("img.shows").hide();
                $(this).children("div.hides").animate({marginRight: '0px'}, '0');
            }
        }, function() {
            if ($(this).prop("className") == "weixin_area") {
                $(this).children("img.hides").hide();
            } else {
                $(this).children("div.hides").animate({marginRight: '-163px'}, 0, function() {
                    $(this).hide();
                    $(this).next("img.shows").show();
                });
            }
        });

        var ws = new whisper();
        var uid = "<?php echo session('user.id') ?>" ? "<?php echo session('user.id') ?>" : parseInt(Math.random() * 40) + 1;
        var name = "<?php echo session('user.username') ?>" ? "<?php echo session('user.username') ?>" : '游客' + uid;
        var avatar = "<?php echo session('user.avatar') ?>" ? "<?php echo session('user.avatar') ?>" :'/static/mobile/images/man.jpg';

        $("#buy-1,#buy-2").click(function(){
            var group = $(this).attr('data-group');
            ws.init({
                id: uid,
                url: '/',
                name: name,
                avatar: avatar,
                group: group
            });
        });

        $("#top_btn").click(function() {
            $("html,body").animate({scrollTop: 0}, 600);
        });
    })

    //微信js
    wx.config({
        debug: false, // 开启调试模式,调用的所有api的返回值会在客户端alert出来，若要查看传入的参数，可以在pc端打开，参数信息会通过log打出，仅在pc端时才会打印。
        appId: '<?php echo $jsApiPackage['appId']; ?>', // 必填，公众号的唯一标识
        timestamp: '<?php echo $jsApiPackage['timestamp']; ?>', // 必填，生成签名的时间戳
        nonceStr: '<?php echo $jsApiPackage['nonceStr']; ?>', // 必填，生成签名的随机串
        signature: '<?php echo $jsApiPackage['signature']; ?>',// 必填，签名
        jsApiList: [
            // 所有要调用的 API 都要加到这个列表中
            'checkJsApi',
            'onMenuShareTimeline',
            'onMenuShareAppMessage',
        ] // 必填，需要使用的JS接口列表
    });

    wx.checkJsApi({
        jsApiList: [
            'onMenuShareTimeline',
            'onMenuShareAppMessage',
        ],
        success: function (res) {
           // alert(JSON.stringify(res));
        }
    });



    wx.ready(function(){
        // config信息验证后会执行ready方法，所有接口调用都必须在config接口获得结果之后，config是一个客户端的异步操作，所以如果需要在页面加载时就调用相关接口，则须把相关接口放在ready函数中调用来确保正确执行。
        // 对于用户触发时才调用的接口，则可以直接调用，不需要放在ready函数中。

        //自定义“分享给朋友”及“分享到QQ”按钮的分享内容（1.4.0）
        /*wx.updateAppMessageShareData({
            title: '<?php echo $jsApiPackage['title']; ?>', // 分享标题
            desc: '<?php echo $jsApiPackage['desc']; ?>', // 分享描述
            link: '<?php echo $jsApiPackage['link']; ?>', // 分享链接，该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
            imgUrl: '<?php echo $jsApiPackage['imgUrl']; ?>', // 分享图标
            success: function () {
                // 设置成功
                alert('已分享!');
            }
        });

        //自定义“分享到朋友圈”及“分享到QQ空间”按钮的分享内容（1.4.0）
        wx.updateTimelineShareData({
            title: '<?php echo $jsApiPackage['title']; ?>', // 分享标题
            link: '<?php echo $jsApiPackage['link']; ?>', // 分享链接，该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
            imgUrl: '<?php echo $jsApiPackage['imgUrl']; ?>', // 分享图标
            success: function () {
                // 设置成功
                alert('已分享!');
            }
        });*/

        //获取“分享到朋友圈”按钮点击状态及自定义分享内容接口（即将废弃）
        wx.onMenuShareTimeline({
            title: "<?php if($info['title']): ?><?php echo $info['title']; elseif($title): ?><?php echo $title; else: ?><?php echo $jsApiPackage['title']; endif; ?>",
            link: '<?php echo $jsApiPackage['link']; ?>',
            imgUrl: '<?php echo $jsApiPackage['imgUrl']; ?>',
            trigger: function (res) {
                // 不要尝试在trigger中使用ajax异步请求修改本次分享的内容，因为客户端分享操作是一个同步操作，这时候使用ajax的回包会还没有返回
                //alert('用户点击分享到朋友圈!');
            },
            success: function (res) {
                //alert('已分享!');
            },
            cancel: function (res) {
                //alert('已取消!');
            },
            fail: function (res) {
                //alert(JSON.stringify(res));
            }
        });

        //获取“分享给朋友”按钮点击状态及自定义分享内容接口（即将废弃）
        wx.onMenuShareAppMessage({
            title: "<?php if($info['title']): ?><?php echo $info['title']; elseif($title): ?><?php echo $title; else: ?><?php echo $jsApiPackage['title']; endif; ?>", // 分享标题
            desc: "<?php if($info['description']): ?><?php echo $info['description']; elseif($description): ?><?php echo $description; else: ?><?php echo $jsApiPackage['description']; endif; ?>", // 分享描述
            link: '<?php echo $jsApiPackage['link']; ?>', // 分享链接，该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
            imgUrl: "<?php if($info['thumb']): ?><?php echo imgUrl($info['thumb']); else: ?><?php echo $jsApiPackage['imgUrl']; endif; ?>", // 分享图标
            type: '', // 分享类型,music、video或link，不填默认为link
            dataUrl: '', // 如果type是music或video，则要提供数据链接，默认为空
            success: function () {
                // 用户点击了分享后执行的回调函数
                //alert('已分享!');
            }
        });

    });

    wx.error(function(res){
        // config信息验证失败会执行error函数，如签名过期导致验证失败，具体错误信息可以打开config的debug模式查看，也可以在返回的res参数中查看，对于SPA可以在这里更新签名。
        console.log(res);
    });
</script>
</body>
</html>
